From ae0869b71a90bc14e67f3c917bd9c96db25c99a6 Mon Sep 17 00:00:00 2001
From: Mike Gilbert <floppym@gentoo.org>
Date: Thu, 14 Jan 2016 17:02:31 -0500
Subject: [PATCH] Workaround rename of linux/nvme.h

Bug: https://bugs.gentoo.org/571548
---
 src/linux.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/src/linux.c b/src/linux.c
index 5ebc151..e551377 100644
--- a/src/linux.c
+++ b/src/linux.c
@@ -22,7 +22,12 @@
 #include <inttypes.h>
 #include <limits.h>
 #include <linux/ethtool.h>
+#include <linux/version.h>
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(4, 4, 0)
+#include <linux/nvme_ioctl.h>
+#else
 #include <linux/nvme.h>
+#endif
 #include <linux/sockios.h>
 #include <net/if.h>
 #include <scsi/scsi.h>
-- 
2.7.0

